#ifndef OOSXL_MODULE_LEVEL_FUNCTIONS_H
#define OOSXL_MODULE_LEVEL_FUNCTIONS_H

#include <Python.h>


PyObject* create_document(PyObject* self, PyObject* args);
PyObject* version(PyObject* self, PyObject* args);

PyObject* run_message(PyObject* self, PyObject* args);
PyObject* encoding_rgb(PyObject* self, PyObject* args);
PyObject* decoding_rgb(PyObject* self, PyObject* args);
PyObject* encoding_argb(PyObject* self, PyObject* args);
PyObject* decoding_argb(PyObject* self, PyObject* args);
PyObject* module_a1_to_row_col(PyObject* self, PyObject* args);
PyObject* module_row_col_to_a1(PyObject* self, PyObject* args);
PyObject* decoding_date(PyObject* self, PyObject* args);
PyObject* decoding_date1904(PyObject* self, PyObject* args);
PyObject* decoding_time(PyObject* self, PyObject* args);
PyObject* decoding_datetime(PyObject* self, PyObject* args);
PyObject* decoding_datetime1904(PyObject* self, PyObject* args);
PyObject* encoding_date(PyObject* self, PyObject* args);
PyObject* encoding_time(PyObject* self, PyObject* args);
PyObject* encoding_datetime(PyObject* self, PyObject* args);

#endif // OOSXL_MODULE_LEVEL_FUNCTIONS_H